> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onlyfansapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Tracking Links (/api-reference/tracking-links/list-tracking-links)

List all tracking links for the account and revenue data

## OpenAPI

````yaml https://app.onlyfansapi.com/scribe-docs/openapi.yaml get /api/{account}/tracking-links
openapi: 3.0.3
info:
  title: OnlyFans API
  description: ""
  version: 1.0.0
servers:
  - url: https://app.onlyfansapi.com
security:
  - default: []
tags:
  - name: API Keys
    description: ""
  - name: Account
    description: Endpoints for your linked accounts
  - name: Analytics - Financial
    description: APIs for retrieving financial analytics data
  - name: Analytics - Summary
    description: APIs for retrieving summary analytics data
  - name: Banking
    description: Operations related to user banking details, payout methods, legal
      and tax information, and account country settings.
  - name: Chargebacks
    description: ""
  - name: Chat Messages
    description: ""
  - name: Chats
    description: ""
  - name: Client Sessions
    description: ""
  - name: Connect OnlyFans Account
    description: ""
  - name: Data Exports
    description: APIs for managing data exports
  - name: Engagement / Messages
    description: ""
  - name: Fans
    description: APIs for managing OnlyFans fans (subscribers)
  - name: Fans - AI Summary
    description: APIs for generating and retrieving AI-powered fan profile summaries
  - name: Following
    description: APIs for managing OnlyFans followings (people you're subscribed to)
  - name: Free Trial Links
    description: APIs for managing Free Trial Links
  - name: Giphy
    description: ""
  - name: Link Tags
    description: APIs for managing tags on free trial links and tracking links
  - name: Mass Messaging
    description: ""
  - name: Media
    description: ""
  - name: Media Vault
    description: ""
  - name: Media Vault Lists
    description: ""
  - name: Notifications
    description: Endpoints for managingr account notifications
  - name: Payouts
    description: ""
  - name: Post Comments
    description: ""
  - name: Post Labels
    description: APIs for managing your post labels
  - name: Posts
    description: APIs for managing OnlyFans posts
  - name: Promotions
    description: ""
  - name: Public Profiles
    description: ""
  - name: Queue
    description: ""
  - name: Release Forms
    description: APIs for managing OnlyFans release forms
  - name: Saved For Later (Messages)
    description: ""
  - name: Saved For Later (Posts)
    description: ""
  - name: Settings
    description: ""
  - name: Shared Free Trial Links
    description: APIs for Free Trial Links that other OF creators have shared with
      this account. Revenue, cost, and spender data are not available for shared
      links.
  - name: Shared Tracking Links
    description: APIs for Tracking Links (campaigns) that other OF creators have
      shared with this account. Revenue, cost, and spender data are not
      available for shared campaigns.
  - name: Smart Link Postbacks
    description: APIs for managing Smart Link postback destinations
  - name: Smart Links
    description: APIs for managing Smart Links (Free Trial Links and Tracking Links
      with pooled inventory)
  - name: Statistics
    description: ""
  - name: Stored Free Trial Links
    description: Instant APIs for retrieving stored free trial links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stored Shared Free Trial Links
    description: Instant APIs for retrieving stored shared Free Trial Links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stored Shared Tracking Links
    description: Instant APIs for retrieving stored shared Tracking Links
      (campaigns) from the OnlyFansAPI Cache (free, no credits used)
  - name: Stored Tracking Links
    description: Instant APIs for retrieving stored tracking links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stories
    description: APIs for managing OnlyFans stories
  - name: Story Highlights
    description: APIs for managing OnlyFans story highlights
  - name: Subscription Bundles
    description: ""
  - name: Tracking Links
    description: APIs for managing tracking links
  - name: Transactions
    description: APIs for managing OnlyFans transactions
  - name: User List Collections
    description: ""
  - name: Users
    description: APIs for fetching OnlyFans users
  - name: Webhooks
    description: ""
paths:
  /api/{account}/tracking-links:
    parameters:
      - in: path
        name: account
        description: The Account ID
        example: acct_XXXXXXXXXXXXXXX
        required: true
        schema:
          type: string
    get:
      summary: List Tracking Links
      operationId: listTrackingLinks
      description: List all tracking links for the account and revenue data
      parameters:
        - in: query
          name: startDate
          description: The start date for Tracking Links. Keep empty to get all.
          example: 2025-01-01 00:00:00, -30days
          required: false
          schema:
            type: string
            description: The start date for Tracking Links. Keep empty to get all.
            example: 2025-01-01 00:00:00, -30days
            nullable: true
        - in: query
          name: endDate
          description: The end date for Tracking Links. Keep empty to get all.
          example: 2025-01-01 00:00:00, now
          required: false
          schema:
            type: string
            description: The end date for Tracking Links. Keep empty to get all.
            example: 2025-01-01 00:00:00, now
            nullable: true
        - in: query
          name: with_deleted
          description: Whether or not to include deleted tracking links in the response.
            Default `false`
          example: false
          required: false
          schema:
            type: boolean
            description: Whether or not to include deleted tracking links in the response.
              Default `false`
            example: false
            nullable: true
        - in: query
          name: sortby
          description: Sort by subscriber count (claims), or creation date
          example: claims
          required: false
          schema:
            type: string
            description: Sort by subscriber count (claims), or creation date
            example: claims
            enum:
              - claims
              - created_date
            nullable: true
        - in: query
          name: sort
          description: Sort the results. Default `desc`
          example: desc
          required: false
          schema:
            type: string
            description: Sort the results. Default `desc`
            example: desc
            enum:
              - desc
              - asc
            nullable: true
        - in: query
          name: limit
          description: The number of tracking links to return. Default `3`
          example: 3
          required: false
          schema:
            type: integer
            description: The number of tracking links to return. Default `3`
            example: 3
            nullable: true
        - in: query
          name: offset
          description: The offset used for pagination. Default `0`
          example: 0
          required: false
          schema:
            type: integer
            description: The offset used for pagination. Default `0`
            example: 0
            nullable: true
        - in: query
          name: synchronous
          description: Wait for the revenue data to finish processing, instead of
            processing in the background. **Will result in longer response
            times, use with caution**. Default `false`
          example: false
          required: false
          schema:
            type: boolean
            description: Wait for the revenue data to finish processing, instead of
              processing in the background. **Will result in longer response
              times, use with caution**. Default `false`
            example: false
            nullable: true
      responses:
        "200":
          description: Success
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    list:
                      - id: 123456
                        campaignCode: 123
                        campaignName: Example Campaign - IG Bio SFS
                        campaignUrl: https://onlyfans.com/USERNAME/c123
                        subscribersCount: 10
                        clicksCount: 100
                        createdAt: 2025-01-01T00:00:00+00:00
                        endDate: null
                        tags:
                          - Instagram
                          - Twitter
                        revenue:
                          total: 20
                          revenuePerSubscriber: 2
                          revenuePerClick: 0.2
                          spendersCount: 1
                          calculatedAt: 2025-01-01T00:00:00+00:00
                          isLoading: false
                        links:
                          related:
                            subscribers: https://app.onlyfansapi.com/api/acct_XXXXXXX/tracking-links/123456/subscribers
                    hasMore: true
                  _pagination:
                    next_page: https://app.onlyfansapi.com/api/acct_XXXXXXXXXXX/tracking-links?offset=3&limit=3
                  _meta:
                    _credits:
                      used: 1
                      balance: 9529
                      note: Always
                    _cache:
                      is_cached: false
                      note: Cache disabled for this endpoint
                    _rate_limits:
                      limit_minute: 1000
                      limit_day: 50000
                      remaining_minute: 999
                      remaining_day: 49999
                properties:
                  data:
                    type: object
                    properties:
                      list:
                        type: array
                        example:
                          - id: 123456
                            campaignCode: 123
                            campaignName: Example Campaign - IG Bio SFS
                            campaignUrl: https://onlyfans.com/USERNAME/c123
                            subscribersCount: 10
                            clicksCount: 100
                            createdAt: 2025-01-01T00:00:00+00:00
                            endDate: null
                            tags:
                              - Instagram
                              - Twitter
                            revenue:
                              total: 20
                              revenuePerSubscriber: 2
                              revenuePerClick: 0.2
                              spendersCount: 1
                              calculatedAt: 2025-01-01T00:00:00+00:00
                              isLoading: false
                            links:
                              related:
                                subscribers: https://app.onlyfansapi.com/api/acct_XXXXXXX/tracking-links/123456/subscribers
                        items:
                          type: object
                          properties:
                            id:
                              type: integer
                              example: 123456
                            campaignCode:
                              type: integer
                              example: 123
                            campaignName:
                              type: string
                              example: Example Campaign - IG Bio SFS
                            campaignUrl:
                              type: string
                              example: https://onlyfans.com/USERNAME/c123
                            subscribersCount:
                              type: integer
                              example: 10
                            clicksCount:
                              type: integer
                              example: 100
                            createdAt:
                              type: string
                              example: 2025-01-01T00:00:00+00:00
                            endDate:
                              type: string
                              example: null
                              nullable: true
                            tags:
                              type: array
                              example:
                                - Instagram
                                - Twitter
                              items:
                                type: string
                            revenue:
                              type: object
                              properties:
                                total:
                                  type: integer
                                  example: 20
                                revenuePerSubscriber:
                                  type: integer
                                  example: 2
                                revenuePerClick:
                                  type: number
                                  example: 0.2
                                spendersCount:
                                  type: integer
                                  example: 1
                                calculatedAt:
                                  type: string
                                  example: 2025-01-01T00:00:00+00:00
                                isLoading:
                                  type: boolean
                                  example: false
                            links:
                              type: object
                              properties:
                                related:
                                  type: object
                                  properties:
                                    subscribers:
                                      type: string
                                      example: https://app.onlyfansapi.com/api/acct_XXXXXXX/tracking-links/123456/subscribers
                      hasMore:
                        type: boolean
                        example: true
                  _pagination:
                    type: object
                    properties:
                      next_page:
                        type: string
                        example: https://app.onlyfansapi.com/api/acct_XXXXXXXXXXX/tracking-links?offset=3&limit=3
                  _meta:
                    type: object
                    properties:
                      _credits:
                        type: object
                        properties:
                          used:
                            type: integer
                            example: 1
                          balance:
                            type: integer
                            example: 9529
                          note:
                            type: string
                            example: Always
                      _cache:
                        type: object
                        properties:
                          is_cached:
                            type: boolean
                            example: false
                          note:
                            type: string
                            example: Cache disabled for this endpoint
                      _rate_limits:
                        type: object
                        properties:
                          limit_minute:
                            type: integer
                            example: 1000
                          limit_day:
                            type: integer
                            example: 50000
                          remaining_minute:
                            type: integer
                            example: 999
                          remaining_day:
                            type: integer
                            example: 49999
      tags:
        - Tracking Links
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: Get your API Key from OnlyFansAPI Console -
        https://app.onlyfansapi.com/api-keys
````